## golang-github-relex-aini 1.6.0

=== Makefile ===
SOURCES ?= $(shell find . -name '*.go')
SOURCES_NONTEST ?= $(shell find . -name '*.go' -not -name '*_test.go')

.PHONY: test
test:
	go test -timeout $${TEST_TIMEOUT:-10s} -v ./...

# test-all ignores testcache (go clean testcache)
.PHONY: test-all
test-all:
	go test -timeout $${TEST_TIMEOUT:-10s} -v -count=1 ./...

.PHONY: upgrade
upgrade:
	rm -f go.sum
	go get -u -d ./...; go mod tidy

=== debian/changelog ===
golang-github-relex-aini (1.6.0-1) unstable; urgency=medium

  * Upload to unstable after package passed NEW on Aug 15th
    and landed initially in Debian experimental
  * Improve copyright information

 -- Otto Kekäläinen <otto@debian.org>  Thu, 21 Aug 2025 23:05:45 -0700

golang-github-relex-aini (1.6.0-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #1107500)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 05 Jun 2025 12:46:24 +0000

=== debian/control ===
Source: golang-github-relex-aini
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-google-shlex-dev,
 golang-github-samber-lo-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-exp-dev,
 golang-gopkg-yaml.v3-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-relex-aini
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-relex-aini.git
Homepage: https://github.com/relex/aini
XS-Go-Import-Path: github.com/relex/aini

Package: golang-github-relex-aini-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-google-shlex-dev,
 golang-github-samber-lo-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-exp-dev,
 golang-gopkg-yaml.v3-dev,
 ${misc:Depends},
Description: Go library for Parsing Ansible inventory files (library)
 AINI (Another INI) is a robust and flexible Go library for parsing INI-style
 configuration files. It provides a comprehensive solution for applications
 that rely on structured text configuration, supporting features beyond basic
 key-value pairs, such as sections, comments, and various data types.

=== debian/rules ===
#!/usr/bin/make -f

# Data file needed for tests to pass
export DH_GOLANG_INSTALL_EXTRA := marshal_test_inventory.json test_data/

%:
	dh $@ --builddirectory=debian/.build/upstream --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/relex/aini/tags .*/v?(\d\S*)\.tar\.gz debian
